Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class FREE_MEMHelper

    java.lang.Object
      |
      +--org.omg.CORBA.FREE_MEMHelper

public class FREE_MEMHelper
extends java.lang.Object

Helper class for : FREE_MEM

Author:
  OpenORB Compiler

Constructor Summary
`FREE_MEMHelper()`

Method Summary
`static FREE_MEM` | `extract(Any a)` Extract FREE_MEM from an any
`static java.lang.String` | `id()` Return the FREE_MEM IDL ID
`static void` | `insert(Any a, FREE_MEM t)` Insert FREE_MEM into an any
`static FREE_MEM` | `read(InputStream istream)` Read FREE_MEM from a marshalled stream
`static TypeCode` | `type()` Return the FREE_MEM TypeCode
`static void` | `write(OutputStream ostream, FREE_MEM value)` Write FREE_MEM into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FREE_MEMHelper

    public FREE_MEMHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FREE_MEM t)

  Insert FREE_MEM into an any
  Parameters:
    `a` - an any
    `t` - FREE_MEM value

### extract

    public static FREE_MEM extract(Any a)

  Extract FREE_MEM from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FREE_MEM value

### type

    public static TypeCode type()

  Return the FREE_MEM TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FREE_MEM IDL ID
  Returns:
    an ID

### read

    public static FREE_MEM read(InputStream istream)

  Read FREE_MEM from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FREE_MEM value

### write

    public static void write(OutputStream ostream,
                             FREE_MEM value)

  Write FREE_MEM into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FREE_MEM value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD